# Run tests in check section
%bcond_without check

%global goipath         honnef.co/go/js/dom
%global forgeurl        https://github.com/dominikh/go-js-dom
%global commit          6da835bec70f84cd4f0c0b8a7239a9260b6bc37f

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 0.5
Summary:        GopherJS bindings for the JavaScript DOM APIs
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch
BuildRequires:  golang(github.com/gopherjs/gopherjs/js)

%description
%{summary}



%global golicenses      LICENSE
%global godocs          README.md
%gopkg

%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles




%changelog
* Fri Jul 04 2025 umeabot <umeabot> 0-0.5.mga10
+ Revision: 2246574
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Fri Mar 03 2023 pterjan <pterjan> 0-0.4.mga9
+ Revision: 1946670
- Rebuild for Mageia 9

* Thu Sep 17 2020 joequant <joequant> 0-0.3.mga8
+ Revision: 1628115
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1335718
- imported package golang-honnef-js-dom


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git6da835b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20180420git6da835b
- First package for Fedora

